import { getIconsCSSData } from '@iconify/utils/lib/css/icons';
import { DynamicIconifyPluginOptions } from './options';
export declare function transformCSSDataToRules(data: ReturnType<typeof getIconsCSSData>, options?: DynamicIconifyPluginOptions): {
    [x: string]: string;
};
/**
 * Get dynamic CSS rules
 */
export declare function getDynamicCSSRules(icon: string, options?: DynamicIconifyPluginOptions): Record<string, string>;
