'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const _import = require('./import.cjs');

async function getFigmaIconSets(options) {
  const iconSets = await _import.importFigmaIconSets(options);
  return iconSets.reduce((previous, current) => {
    return {
      ...previous,
      [current.prefix]: current.export()
    };
  }, {});
}

exports.getFigmaIconSets = getFigmaIconSets;
