import { importFigmaIconSets } from './import.mjs';

async function getFigmaIconSets(options) {
  const iconSets = await importFigmaIconSets(options);
  return iconSets.reduce((previous, current) => {
    return {
      ...previous,
      [current.prefix]: current.export()
    };
  }, {});
}

export { getFigmaIconSets };
