import { IconSet } from '@iconify/tools';
export interface WriteIconifyJSONsOptions {
    outputDir: string;
    /**
     * write mode, default 'overwrite'
     *
     * - overwrite, write icon sets directly
     * - override, merge new icon sets to local icon sets
     */
    mode?: 'overwrite' | 'override';
    afterWrite?: (iconSets: IconSet[]) => void;
}
export declare function writeIconifyJSONs(iconSets: IconSet[], options: WriteIconifyJSONsOptions): void;
